import petl

from gargantools.utils.utils import check_unacceptedCharactersQuote, check_unacceptedCharactersTab

def check_statusCell(cell):
    return (cell in ["MapTerm", "CandidateTerm", "StopTerm"]) == True

def check_fileContent(fileContent):
    header = ("status", "label")
    constraints = [
        dict(
            name = "acceptedVariable", field = "status", assertion = lambda x : check_statusCell(x)
        ),
        dict(
            name = "str_formatQuote", field = "label", assertion = lambda x : check_unacceptedCharactersQuote(x)
        ),
        dict(
            name = "str_formatTab", field = "label", assertion = lambda x : check_unacceptedCharactersTab(x)
        )
    ]
    
    dataTable = fileContent.values.tolist()
    dataTable.insert(0, fileContent.columns.to_list())

    problemCells = petl.validate(dataTable, constraints, header)

    if problemCells.len() > 1:
        return False, problemCells
    else:
        return True, None
