from io import BytesIO
from itertools import product
import pytest

from gargantools.utils.terms_utils import check_fileContent
from gargantools.utils.utils import get_fileContent
from tests.conftest import id_files


@pytest.mark.parametrize("test_file_copy", product(["correct.csv"], ["terms"]), indirect=True, ids=lambda param : id_files(param))
def test_check_fileContent(test_file_copy):
    with open(test_file_copy, "r") as f:
        f_data = BytesIO(f.read().encode("utf-8"))
        assert check_fileContent(get_fileContent(f_data, '\t')) == (True, None)
